Mission and Overview
NVD is the U.S. government repository of standards based vulnerability management data. This data enables automation of vulnerability management, security measurement, and compliance (e.g. FISMA).
Resource Status
NVD contains:

Last updated: 10/21/2014 4:18:25 PM

CVE Publication rate: 54.77

Email List

NVD provides four mailing lists to the public. For information and subscription instructions please visit NVD Mailing Lists

Workload Index
Vulnerability Workload Index: 15.16
About Us
NVD is a product of the NIST Computer Security Division and is sponsored by the Department of Homeland Security's National Cyber Security Division. It supports the U.S. government multi-agency (OSD, DHS, NSA, DISA, and NIST) Information Security Automation Program. It is the U.S. government content repository for the Security Content Automation Protocol (SCAP).

National Cyber Awareness System

Vulnerability Summary for CVE-2011-1765

Original release date: 05/23/2011
Last revised: 06/15/2011
Source: US-CERT/NIST

Overview

Cross-site scripting (XSS) vulnerability in MediaWiki before 1.16.5, when Internet Explorer 6 or earlier is used, allows remote attackers to inject arbitrary web script or HTML via an uploaded file accessed with a dangerous extension such as .shtml at the end of the query string, in conjunction with a modified URI path that has a %2E sequence in place of the . (dot) character. NOTE: this vulnerability exists because of an incomplete fix for CVE-2011-1578 and CVE-2011-1587.

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score: 4.3 (MEDIUM) (AV:N/AC:M/Au:N/C:N/I:P/A:N) (legend)
Impact Subscore: 2.9
Exploitability Subscore: 8.6
CVSS Version 2 Metrics:
Access Vector: Network exploitable; Victim must voluntarily interact with attack mechanism
Access Complexity: Medium
Authentication: Not required to exploit
Impact Type: Allows unauthorized modification

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

External Source: FEDORA
Name: FEDORA-2011-6781
External Source: BID
Name: 47722
External Source: FEDORA
Name: FEDORA-2011-6774
External Source: CONFIRM
Name: https://bugzilla.redhat.com/show_bug.cgi?id=702512
Type: Patch Information
External Source: CONFIRM
Name: https://bugzilla.wikimedia.org/show_bug.cgi?id=28534
External Source: FEDORA
Name: FEDORA-2011-6775
External Source: MLIST
Name: [mediawiki-announce] 20110505 MediaWiki security release 1.16.5
Type: Patch Information
External Source: SECUNIA
Name: 44684

Vulnerable software and versions

Skip Navigation Links.
Collapse Configuration 1Configuration 1
Collapse ANDAND
Collapse OROR
* cpe:/a:mediawiki:mediawiki:1.16.0:beta2
* cpe:/a:mediawiki:mediawiki:1.16.0:beta1
* cpe:/a:mediawiki:mediawiki:1.16.0
* cpe:/a:mediawiki:mediawiki:1.16.1
* cpe:/a:mediawiki:mediawiki:1.15.4
* cpe:/a:mediawiki:mediawiki:1.15.0
* cpe:/a:mediawiki:mediawiki:1.15.1
* cpe:/a:mediawiki:mediawiki:1.15.2
* cpe:/a:mediawiki:mediawiki:1.15.3
* cpe:/a:mediawiki:mediawiki:1.15.0:rc1
* cpe:/a:mediawiki:mediawiki:1.15.5
* cpe:/a:mediawiki:mediawiki:1.14.0
* cpe:/a:mediawiki:mediawiki:1.14.1
* cpe:/a:mediawiki:mediawiki:1.14.0:rc1
* cpe:/a:mediawiki:mediawiki:1.13.0
* cpe:/a:mediawiki:mediawiki:1.13.2
* cpe:/a:mediawiki:mediawiki:1.13.0:rc1
* cpe:/a:mediawiki:mediawiki:1.13.0:rc2
* cpe:/a:mediawiki:mediawiki:1.13.3
* cpe:/a:mediawiki:mediawiki:1.13.4
* cpe:/a:mediawiki:mediawiki:1.13.1
* cpe:/a:mediawiki:mediawiki:1.12.1
* cpe:/a:mediawiki:mediawiki:1.12.2
* cpe:/a:mediawiki:mediawiki:1.12.3
* cpe:/a:mediawiki:mediawiki:1.12.0:rc1
* cpe:/a:mediawiki:mediawiki:1.12.4
* cpe:/a:mediawiki:mediawiki:1.12.0
* cpe:/a:mediawiki:mediawiki:1.11
* cpe:/a:mediawiki:mediawiki:1.11.0
* cpe:/a:mediawiki:mediawiki:1.11.0:rc1
* cpe:/a:mediawiki:mediawiki:1.11.1
* cpe:/a:mediawiki:mediawiki:1.11.2
* cpe:/a:mediawiki:mediawiki:1.10.3
* cpe:/a:mediawiki:mediawiki:1.10.2
* cpe:/a:mediawiki:mediawiki:1.10.0:rc1
* cpe:/a:mediawiki:mediawiki:1.10.0:rc2
* cpe:/a:mediawiki:mediawiki:1.10.1
* cpe:/a:mediawiki:mediawiki:1.10.4
* cpe:/a:mediawiki:mediawiki:1.10.0
* cpe:/a:mediawiki:mediawiki:1.9.4
* cpe:/a:mediawiki:mediawiki:1.9.6
* cpe:/a:mediawiki:mediawiki:1.9.3
* cpe:/a:mediawiki:mediawiki:1.9.5
* cpe:/a:mediawiki:mediawiki:1.9.2
* cpe:/a:mediawiki:mediawiki:1.9.0
* cpe:/a:mediawiki:mediawiki:1.9.1
* cpe:/a:mediawiki:mediawiki:1.9.0:rc2
* cpe:/a:mediawiki:mediawiki:1.8.3
* cpe:/a:mediawiki:mediawiki:1.8.5
* cpe:/a:mediawiki:mediawiki:1.8.4
* cpe:/a:mediawiki:mediawiki:1.8.0
* cpe:/a:mediawiki:mediawiki:1.8.1
* cpe:/a:mediawiki:mediawiki:1.8.2
* cpe:/a:mediawiki:mediawiki:1.7.0
* cpe:/a:mediawiki:mediawiki:1.7.1
* cpe:/a:mediawiki:mediawiki:1.7.3
* cpe:/a:mediawiki:mediawiki:1.7.2
* cpe:/a:mediawiki:mediawiki:1.6.7
* cpe:/a:mediawiki:mediawiki:1.6.8
* cpe:/a:mediawiki:mediawiki:1.6.9
* cpe:/a:mediawiki:mediawiki:1.6.10
* cpe:/a:mediawiki:mediawiki:1.6.11
* cpe:/a:mediawiki:mediawiki:1.6.1
* cpe:/a:mediawiki:mediawiki:1.6.2
* cpe:/a:mediawiki:mediawiki:1.6.0
* cpe:/a:mediawiki:mediawiki:1.6.6
* cpe:/a:mediawiki:mediawiki:1.6.3
* cpe:/a:mediawiki:mediawiki:1.6.4
* cpe:/a:mediawiki:mediawiki:1.6.5
* cpe:/a:mediawiki:mediawiki:1.6.12
* cpe:/a:mediawiki:mediawiki:1.5:beta2
* cpe:/a:mediawiki:mediawiki:1.5:beta3
* cpe:/a:mediawiki:mediawiki:1.5:alpha1
* cpe:/a:mediawiki:mediawiki:1.5:beta1
* cpe:/a:mediawiki:mediawiki:1.5:alpha2
* cpe:/a:mediawiki:mediawiki:1.5:rc2
* cpe:/a:mediawiki:mediawiki:1.5:beta4
* cpe:/a:mediawiki:mediawiki:1.5.0
* cpe:/a:mediawiki:mediawiki:1.5.1
* cpe:/a:mediawiki:mediawiki:1.5.2
* cpe:/a:mediawiki:mediawiki:1.5.3
* cpe:/a:mediawiki:mediawiki:1.5.5
* cpe:/a:mediawiki:mediawiki:1.5.6
* cpe:/a:mediawiki:mediawiki:1.5.7
* cpe:/a:mediawiki:mediawiki:1.5.8
* cpe:/a:mediawiki:mediawiki:1.5:rc3
* cpe:/a:mediawiki:mediawiki:1.5:rc4
* cpe:/a:mediawiki:mediawiki:1.5.4
* cpe:/a:mediawiki:mediawiki:1.4.0
* cpe:/a:mediawiki:mediawiki:1.4.1
* cpe:/a:mediawiki:mediawiki:1.4.10
* cpe:/a:mediawiki:mediawiki:1.4.9
* cpe:/a:mediawiki:mediawiki:1.4.8
* cpe:/a:mediawiki:mediawiki:1.4.7
* cpe:/a:mediawiki:mediawiki:1.4.6
* cpe:/a:mediawiki:mediawiki:1.4.14
* cpe:/a:mediawiki:mediawiki:1.4.13
* cpe:/a:mediawiki:mediawiki:1.4.12
* cpe:/a:mediawiki:mediawiki:1.4.11
* cpe:/a:mediawiki:mediawiki:1.4.5
* cpe:/a:mediawiki:mediawiki:1.4.4
* cpe:/a:mediawiki:mediawiki:1.4.3
* cpe:/a:mediawiki:mediawiki:1.4.2
* cpe:/a:mediawiki:mediawiki:1.4:beta1
* cpe:/a:mediawiki:mediawiki:1.4:beta2
* cpe:/a:mediawiki:mediawiki:1.4:beta3
* cpe:/a:mediawiki:mediawiki:1.4:beta4
* cpe:/a:mediawiki:mediawiki:1.4:beta5
* cpe:/a:mediawiki:mediawiki:1.4:beta6
* cpe:/a:mediawiki:mediawiki:1.3.1
* cpe:/a:mediawiki:mediawiki:1.3.0
* cpe:/a:mediawiki:mediawiki:1.3.11
* cpe:/a:mediawiki:mediawiki:1.3.10
* cpe:/a:mediawiki:mediawiki:1.3.13
* cpe:/a:mediawiki:mediawiki:1.3.12
* cpe:/a:mediawiki:mediawiki:1.3.15
* cpe:/a:mediawiki:mediawiki:1.3.14
* cpe:/a:mediawiki:mediawiki:1.3
* cpe:/a:mediawiki:mediawiki:1.3.2
* cpe:/a:mediawiki:mediawiki:1.3.3
* cpe:/a:mediawiki:mediawiki:1.3.4
* cpe:/a:mediawiki:mediawiki:1.3.5
* cpe:/a:mediawiki:mediawiki:1.3.6
* cpe:/a:mediawiki:mediawiki:1.3.7
* cpe:/a:mediawiki:mediawiki:1.3.8
* cpe:/a:mediawiki:mediawiki:1.3.9
* cpe:/a:mediawiki:mediawiki:1.2.1
* cpe:/a:mediawiki:mediawiki:1.2.0
* cpe:/a:mediawiki:mediawiki:1.2.3
* cpe:/a:mediawiki:mediawiki:1.2.2
* cpe:/a:mediawiki:mediawiki:1.2.5
* cpe:/a:mediawiki:mediawiki:1.2.4
* cpe:/a:mediawiki:mediawiki:1.2.6
* cpe:/a:mediawiki:mediawiki:1.1.0
* cpe:/a:mediawiki:mediawiki:1.16.2
* cpe:/a:mediawiki:mediawiki:1.16.3
* cpe:/a:mediawiki:mediawiki:1.16.4 and previous versions
Collapse OROR
cpe:/a:microsoft:ie:6 and previous versions
cpe:/a:microsoft:ie:5
cpe:/a:microsoft:ie:4.0
cpe:/a:microsoft:ie:3.0
* Denotes Vulnerable Software
Changes related to vulnerability configurations

Technical Details

Vulnerability Type (View All)
  • Cross-Site Scripting (XSS) (CWE-79)